> ## Documentation Index
> Fetch the complete documentation index at: https://sendmux.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get email metrics

> Returns aggregated email delivery counts with flexible time windowing and comparison period.



## OpenAPI

````yaml /openapi-app.json get /emails/metrics
openapi: 3.1.0
info:
  description: Programmatic access to your Sendmux email infrastructure.
  title: Sendmux API
  version: 1.0.0
servers:
  - description: API v1
    url: https://app.sendmux.ai/api/v1
security:
  - bearerAuth: []
paths:
  /emails/metrics:
    get:
      tags:
        - Emails
      summary: Get email metrics
      description: >-
        Returns aggregated email delivery counts with flexible time windowing
        and comparison period.
      operationId: managementGetEmailMetrics
      parameters:
        - in: query
          name: window
          required: false
          schema:
            description: 'Preset time window (default: 24h)'
            enum:
              - 24h
              - 7d
              - 30d
            type: string
        - in: query
          name: from_date
          required: false
          schema:
            description: ISO 8601 start date (overrides window)
            type: string
        - in: query
          name: to_date
          required: false
          schema:
            description: ISO 8601 end date
            type: string
        - in: query
          name: granularity
          required: false
          schema:
            description: 'Timeseries granularity (default: daily)'
            enum:
              - hourly
              - daily
            type: string
        - in: query
          name: provider_id
          required: false
          schema:
            description: Filter by provider publicId
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailMetricsResponse'
          description: Email metrics with comparison
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: Insufficient permissions
      security:
        - bearerAuth: []
components:
  schemas:
    EmailMetricsResponse:
      allOf:
        - $ref: '#/components/schemas/SuccessEnvelope'
        - properties:
            data:
              $ref: '#/components/schemas/EmailMetrics'
            meta:
              $ref: '#/components/schemas/ResponseMeta'
          required:
            - data
          type: object
      unevaluatedProperties: false
    ApiError:
      additionalProperties: false
      properties:
        error:
          additionalProperties: false
          properties:
            code:
              description: Machine-readable error code
              enum:
                - invalid_parameter
                - missing_parameter
                - authentication_required
                - insufficient_permissions
                - not_found
                - conflict
                - limit_exceeded
                - idempotency_conflict
                - payload_too_large
                - validation_error
                - rate_limit_exceeded
                - service_unavailable
                - internal_error
              example: invalid_parameter
              type: string
            doc_url:
              description: Link to relevant documentation
              type: string
            errors:
              description: >-
                Accumulated per-field issues for validation errors. Only present
                on 400/422 responses.
              items:
                $ref: '#/components/schemas/ApiErrorDetail'
              type: array
            message:
              description: Human-readable error description
              type: string
            param:
              description: The parameter that caused the error
              type: string
            retryable:
              description: >-
                Whether the caller may safely retry this request. 4xx are
                typically false (except 429); 5xx are typically true.
              example: false
              type: boolean
          required:
            - code
            - message
            - retryable
          type: object
        meta:
          additionalProperties: false
          properties:
            request_id:
              example: req_clxxxxxxxxxxxxxxxxxxxxxxxxx
              type: string
          required:
            - request_id
          type: object
        ok:
          enum:
            - false
          type: boolean
      required:
        - ok
        - error
        - meta
      type: object
    SuccessEnvelope:
      properties:
        meta:
          additionalProperties: {}
          properties: {}
          type: object
        ok:
          enum:
            - true
          type: boolean
      required:
        - ok
        - meta
      type: object
    EmailMetrics:
      additionalProperties: false
      properties:
        comparison:
          additionalProperties: false
          properties:
            change_pct:
              additionalProperties: false
              properties:
                failed:
                  example: 10.53
                  type: number
                pending:
                  example: 0
                  type: number
                rejected:
                  example: 33.33
                  type: number
                sent:
                  example: 7.9
                  type: number
                total:
                  example: 8.01
                  type: number
              required:
                - total
                - sent
                - failed
                - rejected
                - pending
              type: object
            failed:
              example: 210
              type: number
            pending:
              example: 50
              type: number
            rejected:
              example: 80
              type: number
            sent:
              example: 14890
              type: number
            total:
              example: 15230
              type: number
          required:
            - total
            - sent
            - failed
            - rejected
            - pending
            - change_pct
          type: object
        summary:
          additionalProperties: false
          properties:
            failed:
              example: 210
              type: number
            pending:
              example: 50
              type: number
            rejected:
              example: 80
              type: number
            sent:
              example: 14890
              type: number
            total:
              example: 15230
              type: number
          required:
            - total
            - sent
            - failed
            - rejected
            - pending
          type: object
        timeseries:
          items:
            additionalProperties: false
            properties:
              failed:
                type: number
              pending:
                type: number
              rejected:
                type: number
              sent:
                type: number
              timestamp:
                example: '2026-03-19T00:00:00Z'
                type: string
              total:
                type: number
            required:
              - timestamp
              - total
              - sent
              - failed
              - rejected
              - pending
            type: object
          type: array
      required:
        - summary
        - comparison
        - timeseries
      type: object
    ResponseMeta:
      additionalProperties: false
      properties:
        request_id:
          example: req_clxxxxxxxxxxxxxxxxxxxxxxxxx
          type: string
      required:
        - request_id
      type: object
    ApiErrorDetail:
      additionalProperties: false
      properties:
        code:
          description: >-
            Machine-readable issue code from the validator (e.g. zod issue
            code).
          example: invalid_string
          type: string
        field:
          description: Dot-path of the offending request field.
          example: recipient.email
          type: string
        message:
          description: Human-readable issue description.
          type: string
      required:
        - field
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: API Key
      description: >-
        Sendmux API key. Use a root API key for Management API routes, or a
        mailbox credential for Mailbox API routes. Obtain keys from the
        dashboard under API Keys.
      scheme: bearer
      type: http

````